package router

import (
	"github.com/gin-gonic/gin"

	"skapp/pkg/utils/errorx"
)

// ErrorHandler
//
// @Summary      错误处理
// @Description  错误信息示例
// @Tags         Error
// @Accept       json
// @Produce      json
// @Failure	     default {object}  errorx.CodeErrorResponse
// @Router       /error [get]
// @Router       /error [post]
// @Router       /error [put]
// @Router       /error [delete]
// @Router       /error [patch]
func setupErrorRouter(r *gin.RouterGroup) {
	r.Any("/error", func(ctx *gin.Context) {
		ctx.JSON(200, errorx.NewDefaultError("错误信息示例"))
	})
}
